/*!\file:  GiaDeflectionCoreArgs.h
 * \brief place holder for arguments to the GiaDeflectionCoreArgs routine
 */ 

#ifndef _GIADEFLECTIONCOREARGS_H_
#define _GIADEFLECTIONCOREARGS_H_

struct GiaDeflectionCoreArgs{

	/*inputs: */
	IssmDouble ri; //radial distance from center of disk to vertex  i
	IssmDouble re; //radius of disk
	IssmDouble* hes; //loading history (in ice thickness)
	IssmDouble* times; //loading history times
	int numtimes; //loading history length
	IssmDouble currenttime; 

	/*gia material parameters: */
	IssmDouble lithosphere_shear_modulus;
	IssmDouble lithosphere_density;
	IssmDouble mantle_shear_modulus;
	IssmDouble mantle_viscosity;
	IssmDouble mantle_density;
	IssmDouble lithosphere_thickness;

	/*ice properties: */
	IssmDouble rho_ice;

};

#endif
